
#include <oslib/oslib.h>


//declaration
OSL_EFFECT *FxCube1;
int Annimation = 0;

void Touchefxcube();



void Fxcube08()
{

	FxCube1 = oslLoadCubeEffect("media/fond_menu.png",480,272,0, 100, 16);
	oslResetEffect(FxCube1);


	while (!osl_quit)
	{
		oslStartDrawing();
		oslCls();

		Touchefxcube();


		oslActiveCubeFX(FxCube1);

		oslLogoDrawTiles(FxCube1);

		oslPrintColorShadow(0, 20,JAUNE,"Appuyer sur Rond ou Croix", 0);
	
		if (osl_keys->pressed.start)break;	

		oslSynchronization();
		if (osl_keys->pressed.start)break;

	}

}




void Touchefxcube()
{
	oslReadKeys();

	if (osl_keys->held.circle){
		oslResetEffect(FxCube1);
		FxCube1->type = 1;
	}

	if (osl_keys->held.cross){
		oslResetEffect(FxCube1);
		FxCube1->type = 0;
	}
	
	
	
}
